# Copyright (c) 2018-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# https://docs.ansible.com/ansible/latest/copy_module.html
- name:
    "file : host configuration : {{ icinga_configuration_directory }}/hosts"
  copy:
    content: "{{ icinga_host_content_generator
               | default(default_icinga_host_content_generator)
               }}"
    dest: "{{ icinga_host_directory }}/{{ ansible_fqdn }}.conf"
    group: "root"
    mode: "0644"
    owner: "root"
  vars:
    default_icinga_host_content_generator:
      "{{ lookup('template', icinga_server_template_base_dir +
                 '/config/hosts/default_host.conf') }}"
    icinga_server_template_base_dir:
      "{{ icinga_server_base_dir | default('.') + '/templates' }}"
    icinga_configuration_directory:
      "{{ custom_icinga_configuration_directory
        | default('/etc/icinga2/conf.d') }}"
    icinga_host_directory:
      "{{ custom_icinga_host_directory
        | default(icinga_configuration_directory + '/hosts') }}"
  notify:
    - "{{ icinga_notification_handler }}"
  delegate_to:
    "{{ icinga_server_name | default(inventory_hostname) }}"
  become:
    true
